com.aliyun.svideosdk.common.struct.project

## Class Filter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.EffectTrack
    - - com.aliyun.svideosdk.common.struct.project.Filter

-     public class Filter
      extends EffectTrack

  滤镜(包含普通滤镜和动态滤镜)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `EffectTrack.Type`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `mTimelineIn, mTimelineOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filter(Source source)`
    `Filter(java.lang.String path)` Deprecated. 使用 `Filter(Source)`替代

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` 获取时长，单位毫秒
    `EffectConfig` | `getEffectConfig()` 获取滤镜动态化配置
    `float` | `getIntensity()` 获取lut滤镜生效比例
    `Source` | `getSource()` 获取滤镜资源
    `long` | `getStartTime()` 获取开始时间，单位毫秒
    `void` | `setEffectConfig(EffectConfig effectConfig)` 设置滤镜动态化配置
    `void` | `setIntensity(float intensity)` 设置lut滤镜生效比例
    `void` | `setSource(Source source)` 设置滤镜资源

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `getTimelineIn, getTimelineOut, getType, setTimelineIn, setTimelineOut, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filter

          @Deprecated
          public Filter(java.lang.String path)

      Deprecated. 使用 `Filter(Source)`替代

    - #### Filter

          public Filter(Source source)

  - ### Method Detail

    - #### getEffectConfig

          public EffectConfig getEffectConfig()

      获取滤镜动态化配置
      Returns:
        滤镜动态化配置

    - #### setEffectConfig

          public void setEffectConfig(EffectConfig effectConfig)

      设置滤镜动态化配置
      Parameters:
        `effectConfig` - 滤镜动态化配置

    - #### getSource

          public Source getSource()

      获取滤镜资源
      Returns:
        滤镜资源

    - #### setSource

          public void setSource(Source source)

      设置滤镜资源
      Parameters:
        `source` - 滤镜资源

    - #### getStartTime

          public long getStartTime()

      获取开始时间，单位毫秒
      Returns:
        开始时间

    - #### getDuration

          public long getDuration()

      获取时长，单位毫秒
      Returns:
        时长

    - #### getIntensity

          public float getIntensity()

      获取lut滤镜生效比例
      Returns:
        比例值

    - #### setIntensity

          public void setIntensity(float intensity)

      设置lut滤镜生效比例
      Parameters:
        `intensity` - 比例值, 有效值范围[0.0, 1.0]